cURL
curl --request GET \
--url https://api.recoupable.com/api/tasks{
"tasks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"prompt": "<string>",
"schedule": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artist_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"trigger_schedule_id": "<string>",
"recent_runs": [
{
"id": "<string>",
"taskIdentifier": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"idempotencyKey": "<string>",
"version": "<string>",
"isTest": true,
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"delayedUntil": "2023-11-07T05:31:56Z",
"ttl": "<unknown>",
"expiredAt": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"metadata": {},
"costInCents": 123,
"baseCostInCents": 123,
"durationMs": 123,
"env": {
"id": "<string>",
"name": "<string>",
"user": "<string>"
},
"depth": 123,
"batchId": "<string>",
"payload": "<unknown>",
"output": {
"videoSourceUrl": "<string>",
"imageUrl": "<string>",
"captionText": "<string>",
"template": "artist-caption-bedroom",
"lipsync": true,
"audio": {
"songTitle": "<string>",
"songFilename": "<string>",
"startSeconds": 123,
"durationSeconds": 123,
"clipLyrics": "<string>",
"clipMood": "<string>"
}
},
"error": {
"message": "<string>",
"name": "<string>",
"stackTrace": "<string>"
},
"attempts": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"error": {
"message": "<string>",
"name": "<string>",
"stackTrace": "<string>"
}
}
],
"schedule": {},
"relatedRuns": {}
}
],
"upcoming": [
"2023-11-07T05:31:56Z"
],
"owner_email": "<string>",
"model": "<string>"
}
],
"error": "<string>"
}Tasks
Get Tasks
Retrieve scheduled tasks. Each task includes recent_runs (last 5 runs), upcoming (next scheduled run times) sourced directly from the Trigger.dev API, and owner_email when an account email exists for the task owner. Supports filtering by id, account_id, or artist_account_id.
GET
/
api
/
tasks
cURL
curl --request GET \
--url https://api.recoupable.com/api/tasks{
"tasks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"prompt": "<string>",
"schedule": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artist_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"trigger_schedule_id": "<string>",
"recent_runs": [
{
"id": "<string>",
"taskIdentifier": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"idempotencyKey": "<string>",
"version": "<string>",
"isTest": true,
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"delayedUntil": "2023-11-07T05:31:56Z",
"ttl": "<unknown>",
"expiredAt": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"metadata": {},
"costInCents": 123,
"baseCostInCents": 123,
"durationMs": 123,
"env": {
"id": "<string>",
"name": "<string>",
"user": "<string>"
},
"depth": 123,
"batchId": "<string>",
"payload": "<unknown>",
"output": {
"videoSourceUrl": "<string>",
"imageUrl": "<string>",
"captionText": "<string>",
"template": "artist-caption-bedroom",
"lipsync": true,
"audio": {
"songTitle": "<string>",
"songFilename": "<string>",
"startSeconds": 123,
"durationSeconds": 123,
"clipLyrics": "<string>",
"clipMood": "<string>"
}
},
"error": {
"message": "<string>",
"name": "<string>",
"stackTrace": "<string>"
},
"attempts": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"error": {
"message": "<string>",
"name": "<string>",
"stackTrace": "<string>"
}
}
],
"schedule": {},
"relatedRuns": {}
}
],
"upcoming": [
"2023-11-07T05:31:56Z"
],
"owner_email": "<string>",
"model": "<string>"
}
],
"error": "<string>"
}Query Parameters
Filter by task ID (UUID). Returns a single task matching the provided ID.
Filter tasks to only include those for the specified account.
Filter tasks to only include those for the specified artist account.
Was this page helpful?
⌘I
